/*
==========
= HEADER =
==========
 */

/*Header stuff (Navigation, Logo etc.)*/

header {
    position: fixed;
    top: 0;
    z-index: 10;
    width: 100%;
    height: 73px;
    background-color: transparent;
    transition: all 0.2s ease-in-out;
    padding-bottom: 9px;
    padding-top: 42px;
}
.header-dark {
    color: var(--blue-dark);
}
.header-dark .search-trigger-dt .magnify-color {
    fill: var(--blue-dark);
}

.scrolled_a_bit .search-trigger-dt .magnify-color {
    fill: #fff;
}
@media screen and (min-width: 1050px) {
    header {
        top: 0;
    }
}

.scrolled_a_bit header {
    top: 0;
    padding-top: 11px;
    background-color: var(--white);
    box-shadow: 0px 4px 25px 5px rgba(0, 0, 0, 0.05);
    height: 67px;
    background-color: var(--blue-dark);
    color: var(--white);
}
@media screen and (min-width: 768px) {
    .scrolled_a_bit header {
        top: 0;
        padding-top: 17px;
        background-color: var(--white);
        box-shadow: 0px 4px 25px 5px rgba(0, 0, 0, 0.05);
        height: 80px;
        background-color: var(--blue-dark);
        color: var(--white);
    }
}
.header-light header {
    color: var(--white);
}
/* Logo */

.logo {
    display: block;
    text-decoration: none;
    width: 156px;
    transition: all 0.2s ease-in-out;
    margin-left: auto;
    margin-right: auto;
    overflow: hidden;
}

.scrolled_a_bit .logo {
    width: 139px;
    height: 46px;
}

@media screen and (min-width: 768px) {
    .scrolled_a_bit .logo {
        width: 170px;
        height: 54px;
    }
}
.logo path {
    transition: all 0.2s ease-in-out;
}
.scrolled_a_bit .logo path,
.header-light .logo path {
    fill: var(--white) !important;
}

@media screen and (min-width: 768px) {
    .logo {
        width: 186px;
    }
}
@media screen and (min-width: 1380px) {
    .logo {
        width: 238px;
    }
}
/*Main-Nav*/

.main-nav-container {
    position: fixed;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    gap: 30px;
    padding-top: 166px;
    padding-bottom: 100px;
    padding-left: 30px;
    padding-right: 30px;
    z-index: 10;
    height: 100vh;
    height: 100dvh;
    top: 0;
    left: -600px;
    bottom: 0;
    width: 100%;
    max-width: 485px;
    transition: all 0.45s cubic-bezier(0.4, 0, 0.2, 1);
    overflow: auto;
    -webkit-overflow-scrolling: touch;
    background-color: var(--blue-dark);
    color: var(--white);
    box-shadow: 20px 0 26px rgba(0, 0, 0, 0.16);
}

@media screen and (min-width: 1380px) {
    .main-nav-container {
        padding-top: 175px;
    }
}

.nav_is_open .main-nav-container {
    left: 0;
}

.main-nav-container > .main-nav-grp {
    position: absolute;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
    transform: none;
    top: 0;
    bottom: 0;
    width: 100%;
    padding-left: 18px;
    padding-right: 18px;
    padding-top: 163px;
    min-height: 100vh;
    min-height: 100svh;
}

@media screen and (min-width: 1380px) {
    .main-nav-container > .main-nav-grp {
        padding-top: 338px;
        padding-bottom: 0;
    }
}

@media screen and (min-width: 1380px) and (max-height: 875px) {
    .main-nav-container > .main-nav-grp {
        padding-top: 200px;
        padding-bottom: 0;
    }
}
@media screen and (min-width: 1380px) and (max-height: 700px) {
    .main-nav-container > .main-nav-grp {
        padding-top: 140px;
        padding-bottom: 0;
    }
}
.main-nav {
    display: block;
    width: 100%;
    font-family: var(--serif);
    font-size: calc(28 / var(--rootsize));
    letter-spacing: -0.02em;
    line-height: calc(35 / var(--rootsize));
    font-weight: var(--regular);
    text-align: left;
    padding-bottom: 30px;
}

@media screen and (min-width: 1380px) {
    .main-nav {
        font-size: calc(37 / var(--rootsize));
        line-height: calc(46 / var(--rootsize));
        max-width: 386px;
    }
}

.main-nav-ul {
    display: block;
    width: 100%;
}

.main-nav li {
    list-style: none;
    position: static;
}

.main-nav a {
    display: block;
    padding-left: 0;
    padding-right: 0;
    padding-top: 12px;
    padding-bottom: 12px;
    text-decoration: none;
    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}
.main-nav li:last-child a {
    border-bottom: none;
}
@media screen and (min-width: 1380px) {
    .main-nav li {
        max-width: 385px;
        margin-left: auto;
        margin-right: auto;
    }
    .main-nav > ul > li > a {
        padding-top: 7px;
        padding-bottom: 6px;
    }
}
.main-nav .current-menu-ancestor > a,
.main-nav .current-menu-item > a {
    color: var(--gold);
}
@media (hover: hover) {
    nav a {
        transition: all 0.5s ease-out;
    }
    nav a:hover {
        color: var(--gold);
        transition: all 0.08s ease-out;
    }
}
.main-nav .sub-menu {
    font-size: calc(20 / var(--rootsize));
    line-height: calc(26 / var(--rootsize));
}
.js .main-nav .sub-menu {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
}
a.header-menu-tel {
    position: absolute;
    top: 0;
    left: 0;
    width: 41px;
    height: 41px;
}

.js .main-nav .sub-menu {
    z-index: 5;
    top: 0;
    bottom: 0;
    width: 100%;
    min-height: calc(100% + 200px);
    padding-left: var(--grid-gap);
    padding-right: var(--grid-gap);
    font-size: calc(20 / var(--rootsize));
    line-height: calc(26 / var(--rootsize));
    background-color: var(--blue-dark);
    /* -webkit-clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
    clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
    transition: -webkit-clip-path 0.2s ease-out;
    transition: clip-path 0.2s ease-out;
    transition:
        clip-path 0.2s ease-out,
        -webkit-clip-path 0.2s ease-out; */
    opacity: 0;
    transition: all 0.2s ease-in-out;
    pointer-events: none;
    overflow: hidden;
    padding-top: 138px;
}
@media (hover: hover) {
    .js .main-nav .sub-menu {
        min-height: 100vh;
    }
}
@media screen and (min-width: 1380px) {
    .js .main-nav .sub-menu {
        padding-top: 226px;
    }
}
/* Wenn Eltern-Element aktiv ist */
.js .main-nav li.is_active > .sub-menu {
    /* -webkit-clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%); */
    opacity: 1;
    pointer-events: all;
}

.close-sub-menu {
    font-family: var(--sans);
    font-size: calc(14 / var(--rootsize));
    line-height: calc(26 / var(--rootsize));
    letter-spacing: 0.1em;
    text-transform: uppercase;
    font-weight: var(--bold);
    background-color: transparent !important;
    margin-bottom: 10px;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 14px;
}
@media (hover: hover) {
    .close-sub-menu {
        transition: all 0.5s ease-out;
    }
    .close-sub-menu:hover {
        color: var(--gold);
        transition: all 0.08s ease-out;
    }
}
.close-sub-menu:before {
    content: "";
    display: block;
    position: relative;
    flex: 0 0 8px;
    width: 8px;
    height: 13px;
    background-image: url(../images/ui/icn-arrow-link.svg);
    background-size: contain;
    background-position: center center;
    background-repeat: no-repeat;
    transform: rotate(180deg);
}

.sub-menu-title {
    font-size: calc(28 / var(--rootsize));
    line-height: calc(35 / var(--rootsize));
    letter-spacing: -0.02em;
    color: var(--gold);
    padding-bottom: 12px;
    margin-bottom: 14px;
    border-bottom: 1px solid var(--gold);
}

@media screen and (min-width: 1380px) {
    .sub-menu-title {
        font-size: calc(36 / var(--rootsize));
        line-height: calc(45 / var(--rootsize));
    }
}

/* Search button */
.search-trigger {
    display: flex;
    justify-content: center;
    align-items: center;
    position: absolute;
    z-index: 5;
    top: 3px;
    left: 0;
    width: 50px;
    height: 40px;
    border: none;
    background-color: transparent !important;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 16px;
    outline: none;
}
.search-trigger.search-trigger-mobile {
    left: -8px;
}
.search-trigger svg {
    width: 26px;
    height: 26px;
}
.searchform-m {
    position: absolute;
    top: 54px;
    left: 18px;
    z-index: 3;
    width: 100%;
}
.searchform-input {
    background-color: transparent !important;
    border: 1px solid var(--white) !important;
    border-radius: 21px !important;
    color: var(--white);
    font-weight: 400 !important;
    letter-spacing: 0 !important;
    padding-top: 7px !important;
    padding-bottom: 7px !important;
}
.searchform-m .searchform-input {
    padding-top: 10px !important;
    padding-bottom: 9px !important;
}
.search-mobile-container {
    position: absolute;
    top: 53px;
    left: 15px;
    z-index: 3;
    width: 296px;
    max-width: calc(100% - 90px);
}
@media screen and (min-width: 768px) {
    .search-mobile-container {
        left: 18px;
    }
}
.searchform {
    position: absolute;
    top: 3px;
    left: 0;
    /* Clipping-Maske für Animation */
    -webkit-clip-path: inset(0 100% 0 0);
    clip-path: inset(0 100% 0 0); /* Rechts alles abgeschnitten */
    transition: -webkit-clip-path 0.3s ease;
    transition: clip-path 0.3s ease;
    transition:
        clip-path 0.3s ease,
        -webkit-clip-path 0.3s ease;
    transition:
        clip-path 0.3s ease,
        -webkit-clip-path 0.3s ease;
    transition:
        clip-path 0.3s ease,
        -webkit-clip-path 0.3s ease;
    transition:
        clip-path 0.3s ease,
        -webkit-clip-path 0.3s ease;
    transition:
        clip-path 0.3s ease,
        -webkit-clip-path 0.3s ease;
    transition:
        clip-path 0.3s ease,
        -webkit-clip-path 0.3s ease;
    overflow: hidden;
}

.searchform input::-webkit-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::-moz-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input:-ms-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::-ms-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::-webkit-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::-moz-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input:-ms-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::-ms-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::-webkit-input-placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

.searchform input::placeholder {
    color: #fff; /* Weiß */
    opacity: 1; /* Wichtig für Safari */
}

/* Aktiver Zustand – alles sichtbar */
.search-container.is_active .searchform {
    -webkit-clip-path: inset(0 0 0 0);
    clip-path: inset(0 0 0 0);
}
.search-container svg {
    transition: all 0.2s ease-out;
}
.search-trigger.search-trigger-dt:after {
    content: "SUCHEN";
    position: absolute;
    left: calc(100% - 9px);
    font-size: calc(16 / var(--rootfactor) * 1rem);
    font-weight: 400;
    line-height: 20px;
    transition: all 0.2s ease-in-out;
}
.search-container.is_active .search-trigger-dt:after {
    opacity: 0;
}
.search-container.is_active svg,
.search-trigger-dt svg {
    width: 13px;
    height: 13px;
}
input#s-mobile {
    padding-left: 45px;
}

/* Search DT */
.search-container {
    z-index: 9;
}
.search-container.search-dt-container {
    position: absolute;
    right: 370px;
    top: 16px;
    display: none;
    transition: all 0.2s ease-in-out;
}
.search-container.search-dt-container.is_active {
    right: 530px;
}
.scrolled_a_bit .search-container.search-dt-container {
    top: 0;
}
@media screen and (min-width: 1380px) {
    .search-container.search-dt-container {
        display: block;
    }
    .searchform-input {
        max-width: 314px !important;
        background-color: var(--blue-dark) !important;
        padding-left: 40px !important;
        font-weight: 400;
    }
}
/* Menu Button */

.menu-btn {
    z-index: 1;
    display: block;
    position: absolute;
    top: 11px;
    right: 0;
    width: 41px;
    height: 41px;
    border: none;
    background-color: transparent !important;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 16px;
    outline: none;
}
@media screen and (min-width: 768px) {
    .menu-btn {
        right: auto;
        left: 0;
        width: 51px;
        height: 51px;
    }
}

button.menu-btn:hover g {
    fill: var(--blue-dark);
}
button.menu-btn:hover rect {
    fill: #fff;
}
.scrolled_a_bit button.menu-btn:hover g {
    fill: #fff;
}
.scrolled_a_bit button.menu-btn:hover rect {
    fill: var(--blue-dark) !important;
}
.scrolled_a_bit .menu-btn-open {
    top: 0;
}
button.menu-btn-close:hover g {
    fill: #fff;
}
.menu-btn-close:hover path {
    fill: var(--blue-dark);
}
@media screen and (min-width: 1380px) {
    .menu-btn-open {
        top: 21px;
    }
}
.scrolled_a_bit .menu-btn-open g,
.header-light .menu-btn-open g {
    stroke: var(--white) !important;
}
.scrolled_a_bit .menu-btn-open rect,
.header-light .menu-btn-open rect {
    fill: var(--white) !important;
}

.menu-btn:focus {
    background-color: transparent;
}
.menu-btn-close {
    position: absolute;
    top: 51px;
    right: 13px;
    width: 50px;
    height: 50px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: transparent !important;
    border: none;
    left: auto;
    z-index: 10;
}
@media screen and (min-width: 1380px) {
    .menu-btn-close {
        top: 55px;
        right: 0;
        left: 0;
        width: 54px;
        height: 54px;
    }
}
.menu-btn-close svg {
    width: 41px;
    height: 41px;
}
@media screen and (min-width: 1380px) {
    .menu-btn-close svg {
        width: 50px;
        height: 50px;
    }
}
.menu-btn:focus {
    background-color: transparent;
}

/* tel */

.header-tel {
    display: block;
    width: 41px;
    height: 41px;
    position: absolute;
    left: 0;
    top: 11px;
    text-decoration: none;
}
.scrolled_a_bit .header-tel {
    top: 3px;
}

@media screen and (min-width: 768px) {
    .header-tel {
        width: auto;
        height: auto;
        left: auto;
        right: 30px;
        top: 30px;
    }
    .scrolled_a_bit .header-tel {
        top: 13px;
    }
}
.tel-content-dt {
    display: none;
    font-weight: 400;
}

@media screen and (min-width: 768px) {
    .tel-content-dt {
        display: block;
        font-size: calc(16 / var(--rootsize));
        letter-spacing: 0;
        line-height: calc(20 / var(--rootsize));
        font-weight: var(--light);
        text-decoration: none;
    }
    .tel-content-m {
        display: none;
    }
}
.header-tel-mobile {
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 10px;
    width: 100%;
    height: 38px;
    font-size: 16px;
    font-weight: 400;
}
@media screen and (min-width: 768px) {
    .header-tel-mobile {
        display: none;
    }
}
.header-tel-mobile .tel-content {
    display: block;
    line-height: 0;
}
.scrolled_a_bit .tel-content-m svg .tel-icn-circle,
.header-light .tel-content-m svg .tel-icn-circle {
    stroke: var(--white);
}
.scrolled_a_bit .tel-content-m svg path,
.header-light .tel-content-m svg path {
    fill: var(--white);
}
/* Searchform */

.searchform-dt {
    display: none;
}

@media screen and (min-width: 1380px) {
    .searchform-dt {
        display: block;
    }
    .search-mobile-container {
        display: none !important;
    }
}

.meta-nav-container {
    position: relative;
    bottom: 0;

    margin-left: auto;
    margin-right: auto;
    width: 100%;
    max-width: 362px;
    padding-bottom: 48px;
    font-size: calc(14 / var(--rootsize));
    letter-spacing: 0.1em;
    line-height: calc(26 / var(--rootsize));
    font-weight: var(--bold);
    text-transform: uppercase;
}
.meta-nav-container a {
    text-decoration: none;
}
.meta-nav {
    margin-bottom: 15px;
}
@media screen and (min-width: 768px) {
    .meta-nav {
        margin-bottom: 17px;
    }
}
.wpml-ls-legacy-list-horizontal {
    padding: 0;
}
.wpml-ls-legacy-list-horizontal a {
    display: block;
    text-decoration: none;
    padding: 0 20px 0 0;
    line-height: 1;
    opacity: 0.5;
}
.lang {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    gap: 18px;
}
.lang a {
    color: rgba(255, 255, 255, 0.5);
}
@media (hover: hover) {
    .lang a:hover {
        color: var(--gold);
    }
}

/* ======================
   PREFERS-REDUCED-MOTION
   ====================== */
@media (prefers-reduced-motion: reduce) {
    /* Header-Scroll-Übergang */
    header {
        transition: none;
    }

    /* Navigation: Slide-In von links */
    .main-nav-container {
        transition: none;
    }

    /* Untermenü: Einblenden */
    .js .main-nav .sub-menu {
        transition: none;
    }

    /* Suchfeld: Clip-Path-Animation */
    .searchform {
        transition: none;
        -webkit-clip-path: none;
        clip-path: none;
    }

    /* Allgemeine Button-/Link-Hover-Übergänge im Header */
    .menu-btn,
    .search-trigger,
    .header-tel {
        transition: none;
    }
}
